std::geometric_distribution< _IntType > Class Template Reference
Bernoulli Distributions

## Classes

struct | param_type

## Public Types

typedef _IntType | result_type

## Public Member Functions

| geometric_distribution (double __p=0.5)
| geometric_distribution (const param_type &__p)
template<typename _ForwardIterator , typename _UniformRandomNumberGenerator >
void | __generate (_ForwardIterator __f, _ForwardIterator __t, _UniformRandomNumberGenerator &__urng)
template<typename _ForwardIterator , typename _UniformRandomNumberGenerator >
void | __generate (_ForwardIterator __f, _ForwardIterator __t, _UniformRandomNumberGenerator &__urng, const param_type &__p)
template<typename _UniformRandomNumberGenerator >
void | __generate (result_type *__f, result_type *__t, _UniformRandomNumberGenerator &__urng, const param_type &__p)
result_type | max () const
result_type | min () const
template<typename _UniformRandomNumberGenerator >
geometric_distribution < _IntType >::result_type | operator() (_UniformRandomNumberGenerator &__urng, const param_type &__param)
template<typename _UniformRandomNumberGenerator >
result_type | operator() (_UniformRandomNumberGenerator &__urng)
template<typename _UniformRandomNumberGenerator >
result_type | operator() (_UniformRandomNumberGenerator &__urng, const param_type &__p)
double | p () const
param_type | param () const
void | param (const param_type &__param)
void | reset ()

## Friends

bool | operator== (const geometric_distribution &__d1, const geometric_distribution &__d2)

## Detailed Description

### template<typename _IntType = int>
class std::geometric_distribution< _IntType >

A discrete geometric random number distribution.

The formula for the geometric probability density function is where is the parameter of the distribution.

Definition at line 4007 of file random.h.

## Member Typedef Documentation

template<typename _IntType = int>

typedef _IntType std::geometric_distribution< _IntType >::result_type

The type of the range of the distribution.

Definition at line 4010 of file random.h.

## Member Function Documentation

template<typename _IntType = int>

result_type std::geometric_distribution< _IntType >::max | ( |  | ) | const

inline

Returns the least upper bound value of the distribution.

Definition at line 4099 of file random.h.

References std::numeric_limits< _Tp >::max().

template<typename _IntType = int>

result_type std::geometric_distribution< _IntType >::min | ( |  | ) | const

inline

Returns the greatest lower bound value of the distribution.

Definition at line 4092 of file random.h.

template<typename _IntType = int>
template<typename _UniformRandomNumberGenerator >

result_type std::geometric_distribution< _IntType >::operator() | ( | _UniformRandomNumberGenerator & | __urng | ) |

inline

Generating functions.

Definition at line 4107 of file random.h.

References std::geometric_distribution< _IntType >::operator()().

Referenced by std::geometric_distribution< _IntType >::operator()().

template<typename _IntType = int>

double std::geometric_distribution< _IntType >::p | ( |  | ) | const

inline

Returns the distribution parameter `p`.

Definition at line 4070 of file random.h.

template<typename _IntType = int>

param_type std::geometric_distribution< _IntType >::param | ( |  | ) | const

inline

Returns the parameter set of the distribution.

Definition at line 4077 of file random.h.

Referenced by std::operator>>().

template<typename _IntType = int>

void std::geometric_distribution< _IntType >::param | ( | const param_type & | __param | ) |

inline

Sets the parameter set of the distribution.

Parameters

  __param | The new parameter set of the distribution.

Definition at line 4085 of file random.h.

template<typename _IntType = int>

void std::geometric_distribution< _IntType >::reset | ( |  | ) |

inline

Resets the distribution state.

Does nothing for the geometric distribution.

Definition at line 4064 of file random.h.

## Friends And Related Function Documentation

template<typename _IntType = int>

bool operator== | ( | const geometric_distribution< _IntType > & | __d1,
|  | const geometric_distribution< _IntType > & | __d2
| ) |  |

friend

Return true if two geometric distributions have the same parameters.

Definition at line 4142 of file random.h.

The documentation for this class was generated from the following files:

- random.h
- bits/random.tcc